> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cald.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Phone Number Settings

> Update the details of a specific phone number



## OpenAPI

````yaml PATCH /phonenumbers/{phoneNumberId}
openapi: 3.0.1
info:
  title: AI Phone Call Service API
  description: >-
    API for managing AI-based phone calls, including call initiation and result
    retrieval.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://my.cald.ai/client/api/v1
security:
  - apiKeyAuth: []
paths:
  /phonenumbers/{phoneNumberId}:
    patch:
      description: Update the details of a specific phone number
      parameters:
        - name: phoneNumberId
          in: path
          description: The phone number ID of the phone number
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                agentId:
                  type: string
                  description: >-
                    The agent ID of the agent to use when an inbound call is
                    received on the phone number. If not specified, the agent
                    will be removed from the phone number and no agent will be
                    used when an inbound call is received - this is useful if
                    you want to use the phone number for outbound calls only and
                    don't want to receive/incur charges for inbound calls
      responses:
        '200':
          description: Success response with phone number details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhoneNumber'
        '404':
          description: Phone number not found
components:
  schemas:
    PhoneNumber:
      type: object
      properties:
        phoneNumberId:
          type: string
          description: The phone number ID of the phone number resource
        phoneNumber:
          type: string
          description: >-
            The phone number, prefixed with the country code, for example,
            `+1558873402`
        price:
          type: number
          description: The monthly price of the phone number in USD
        agentId:
          type: string
          description: >-
            The agent ID of the agent that the phone number is assigned to. When
            making inbound calls, the agent will be called.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Your API key, e.g. `caldLiveDe39a3accb206dd615f30d118e519df0`

````